aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRob Pike <r@golang.org>2012-03-26 16:08:21 +1100
committerRob Pike <r@golang.org>2012-03-26 16:08:21 +1100
commit6492cac6dd3995535bd7ddd7ab11ca5047967ada (patch)
tree6fa5e3b91bfe7be9067893d825148136af26ede9
parent0b762d9523a8b672143556739726d3d4e8ac6c94 (diff)
downloadgo-6492cac6dd3995535bd7ddd7ab11ca5047967ada.tar.gz
go-6492cac6dd3995535bd7ddd7ab11ca5047967ada.zip
run.bash: compile the codewalks
They could be tested but that requires more than seems wise right now. Update #2648. R=golang-dev, dsymonds CC=golang-dev https://golang.org/cl/5908054
-rwxr-xr-xsrc/run.bash7
1 files changed, 7 insertions, 0 deletions
diff --git a/src/run.bash b/src/run.bash
index ff2e88f004..ddd55826f7 100755
--- a/src/run.bash
+++ b/src/run.bash
@@ -74,6 +74,13 @@ make clean
./test.bash
) || exit $?
+(xcd ../doc/codewalk
+# TODO: test these too.
+go build pig.go
+go build urlpoll.go
+rm -f pig urlpoll
+) || exit $?
+
echo
echo '#' ../misc/dashboard/builder ../misc/goplay
go build ../misc/dashboard/builder ../misc/goplay